Package com.avaya.clientservices.call

## Enum CallForwardingCause

- java.lang.Object
- - java.lang.Enum<CallForwardingCause>
  - - com.avaya.clientservices.call.CallForwardingCause

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallForwardingCause>`

      public enum CallForwardingCause
      extends java.lang.Enum<CallForwardingCause>

  Call Forward causes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BUSY` | The current call was forwarded due the busy status of user who forwarded the call.
    `CALL_DEFLECTION` | The current call was forwarded because it was declined by the previous recipient.
    `HUNTING` | Support CM HUNT feature.
    `IMMEDIATE` | The current call was forwarded due the configured call forwarding feature (on target user SIP softphone/hardphone) or forwarded by target user itself.
    `NO_REPLY` | The current call was forwarded due the user who forwarded the call does not reply this call or user who forwarded the call is unavailable.
    `NORMAL` | Normal cause - normal redirection of this call.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallForwardingCause` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallForwardingCause[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMMEDIATE

          public static final CallForwardingCause IMMEDIATE

      The current call was forwarded due the configured call forwarding feature (on target user SIP softphone/hardphone) or forwarded by target user itself.

    - #### BUSY

          public static final CallForwardingCause BUSY

      The current call was forwarded due the busy status of user who forwarded the call.

    - #### NO_REPLY

          public static final CallForwardingCause NO_REPLY

      The current call was forwarded due the user who forwarded the call does not reply this call or user who forwarded the call is unavailable.

    - #### CALL_DEFLECTION

          public static final CallForwardingCause CALL_DEFLECTION

      The current call was forwarded because it was declined by the previous recipient.

    - #### HUNTING

          public static final CallForwardingCause HUNTING

      Support CM HUNT feature.

    - #### NORMAL

          public static final CallForwardingCause NORMAL

      Normal cause - normal redirection of this call.

  - ### Method Detail

    - #### values

          public static CallForwardingCause[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallForwardingCause c : CallForwardingCause.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallForwardingCause valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null